Skip to main content
POST
cURL
Use the Feedback API to collect quantitative (ratings) and qualitative (comments) feedback. Capturing feedback helps drive AI model improvement and increases client confidence.
For when to show rating UI in your product, once-per-entity rules, and product placement, refer to Give feedback on a clinical note guide for recommendations.
The API supports the following actions:
  • Quantitative Feedback: Rate content using a scale with configurable minimum and maximum values.
  • Qualitative Feedback: Provide optional, free-form comments for detailed insights.
  • Entity-Level Tracking: Tie feedback to specific entities within sessions.

Supported entity types

Provide feedback on the following entity types:
Within a single (session_id), you can provide feedback for each entity type only once. If you provide feedback for the same entity type multiple times, the feedback will not be valid.Also, a single session_id can contain multiple feedbacks, provided each entry corresponds to a different entity type.

Rating system

The ratingFeedback object provides quantitative feedback. It includes the following fields:
  • min_rating: The minimum rating value (e.g., 0).
  • max_rating: The maximum rating value.
  • rating: The actual rating you provide within the min-max range.
Configure the rating scale by setting the min_rating and max_rating values. The range is inclusive, so both the min_rating and max_rating values are valid ratings.For example:
  • To create a rating scale of 0 to 5, set min_rating to 0 and max_rating to 5. A user can provide any integer rating from 0 to 5.
  • To create a binary scale, set min_rating to 0 and max_rating to 1. A user can provide a rating of either 0 or 1.
  • Suki suggests using a scale of 1 to 5 for the rating.

Character limits

  • qualitative_comments: Maximum 2000 characters.
Your feedback helps Suki to improve the AI-generated content. All feedback is reviewed and used to enhance quality.

Code examples

Authorizations

sdp_suki_token
string
header
required

Suki access token (suki_token) from Login or Register. Expires after one hour.

Headers

sdp_provider_id
string

Optional for standard partners.

Required for:

  • Bearer authentication. Use the same provider_id returned by the Login or Register API.
  • Single Auth Token authentication. Include the same provider_id on every request as sdp_provider_id.
Example:

"provider-123"

Path Parameters

session_id
string
required

UUID for the ambient session you are rating. Use the same ambient_session_id from Create Ambient Session.

entity
string
required

Entity type you are rating. For ambient sessions, use content for generated clinical note content. You can submit feedback once per entity type per session.

Body

application/json

Quantitative rating and optional qualitative comments for the specified entity.

ratingFeedback
object
required

Required quantitative rating. Set min_rating, max_rating, and rating to define the scale and score.

qualitative_comments
string

Optional - Qualitative feedback comments for detailed insights. Maximum 2000 characters allowed.

Maximum string length: 2000
Example:

"The generated content was accurate and helpful"

Response

Resource created successfully.

Response body for successful feedback submission

feedback_id
string

Unique identifier for the submitted feedback

Example:

"fb_abc123def456-789xyz-012uvw"

Last modified on August 20, 2026